<div class="help">
<h1>Instructions for use</h1>

<p>The left column serves for file selection. You can switch a directory and in the selection box
you can choose either a single file or several files. Although selection of any combination of
files is allowed, you should always choose a series of consecutive videos. If you do not follow
this advice, the route on the map will be weird.</p>

<p>The common problem of inaccessible files and directories is caused by wrong permissions.
Remember that all files must be world readable and direcories must be not only readable but also
executable. If you have such a problem, issue the commands given below. (<code>$DIR</code> is the
full path to the root directory with videos.)</p>

<pre>
chmod --recursive +r $DIR
find $DIR -type d -exec chmod +x {} \;
</pre>

<p>The program plays the videos in the playlist and shows the route on the map. It diplays the
current speed and current heading (if known), calculates the total distance and average speed. It
allows to take a snapshot in full resolution of the camera.</p>

<p>The program including full documentation is available from
<a href="http://icebearsoft.euweb.cz/garicam/"
target="garicam">icebearsoft.euweb.cz/garicam/</a>.</p>

</div>
