<?php
$bsn = basename($_SERVER['SCRIPT_NAME']);
if ($bsn == 'engine.php' || $bsn == 'functions.php') die('Access not allowed!');

$languages = array(
  'cs' => 'CS',
  'en' => 'EN',
  'fr' => 'FR',
  'de' => 'DE',
  'hi' => 'HI'
);

$encodings = array(
  'iso2' => 'iso-8859-2'
);

$headers = array(
  'iso2' => 'Content-Type: text/html; charset=iso-8859-2',
  'utf8' => 'Content-Type: text/html; charset=utf-8'
);

# Longer time units
define('HOUR', 3600);
define('DAY', 24 * HOUR);
define('MONTH', 30 * DAY);

# Expiration
function Expires($after = DAY) {
setlocale(LC_ALL, 'EN_US');
Header('Expires: ' . gmdate('D, d M Y H:i:s', time() + $after) . ' GMT');
}

# Function for finding a language
function FindLanguage($flist, $acclang) {
$lx = -1;
for ($j = 0;  $lx < 0 && $j < count($acclang);  $j++) {
  for ($i = 0;  $lx < 0 && $i < count($flist);  $i++) {
    $ext = $flist[$i]['ext'];
    if ($acclang[$j] == $ext) $lx = $i;
  }
}
return $lx;
}

# Function for emitting a header
function EmitHeader($fn) {
global $headers;
if (preg_match('/-([^-]+)\./', $fn, $m)) {
  $e = explode('_', $m[1]);
  $chsent = 0;
  while (list($k, $v) = each($e)) {
    if ($headers[$v]) {
      header($headers[$v]);  $chsent++;
    }
  }
  if ($chsent == 0) header($headers['utf8']);
}}

# Function for making a counter with <hr> and optional centering (this is default)
function Counter($noalign=0) {
if ($noalign == 0) echo "<center>\n";
if ($_SERVER['HTTP_REFERER']) {
  $r = urlencode($_SERVER['HTTP_REFERER']);
  $r = "?rf=$r";
}
else $r = '';
echo "<p><img src=\"http://hroch486.icpf.cas.cz/php/access/$r\"></p>";
if ($noalign == 0) echo "</center>\n";
echo "<hr>\n";
}

# Links to languages
function LangLinks() {
global $fn, $languages;
$divsent = 0;
$qs = $_SERVER['QUERY_STRING'];
if ($qs) $qs = "?$qs";
$rq = $_SERVER['SCRIPT_NAME'];
if (substr($rq, -1) == '/') $rq = index.php;
else $rq = basename($rq);
if (!$fn) $fn = $rq;
if (preg_match('/^([^-]+)-[^-]+$/', $fn, $m)) $rq = $m[1];
$re = '/^' . $rq . '-(.*)\./';
$dirhandle = opendir('.');
while ($f = readdir($dirhandle)) {
  if (preg_match($re, $f, $m)) {
    if ($f != $fn) {
      $ext = explode('_', $m[1]);
      if (count($ext) == 1) {
        while (list($k, $v) = each($ext)) {
          if ($languages[$v]) {
            if (!$divsent) echo '<div id="langlinks">&nbsp;';
            $divsent++;
            $lang = $languages[$v];
            printf('<a title="%s" href="%s%s">%s</a>&nbsp;', $lang, $f, $qs, $lang);
          }
        }
      }
    }
  }
}
closedir($dirhandle);
if ($divsent) echo "</div>\n";
}

# JavaScript images
function jsimg($src, $align) {
if ($align) $align = "align=\"$align\"";
$sz = GetImageSize($src);
$thsrc = '';
if (preg_match('/^(.+)(\.[^.]+)$/', $src, $parts)) {
  $thsrc = $parts[1] . '_small' . $parts[2];
  $thsz = GetImageSize($thsrc);
?>
<script language="JavaScript">
<!--
<?php printf("img('%s', %d, %d, '%s', %d, %d, '%s')",
             $thsrc, $thsz[0], $thsz[1], $src, $sz[0], $sz[1], $align); ?>
// -->
</script>
<noscript>
<a href="<?php echo $src; ?>" target="image">
<img src="<?php echo $thsrc; ?>" hspace=5 vspace=1 width=<?php
     echo $thsz[0]; ?> height=<?php printf('%d %s', $thsz[1], $align); ?>>
</a></noscript>
<?php
}}

$nic = <<<EOD
<!--WZ-REKLAMA-1.0-->
EOD;
?>
