<?php # $Id: map.php 171 2014-07-23 21:51:05Z zw $
require 'incl_all.php';
require 'key.php';
$lat = Latitude;  $lng = Longitude; # initial values
$ip = $_SERVER['REMOTE_ADDR'];
if (IfconfigMe && preg_match('/^(10|127|192\.168|172\.(1[6-9]|2[0-9]|3[01]))\./', $ip)) {# Private IP
  $out = file('http://ifconfig.me/ip',  FILE_IGNORE_NEW_LINES |  FILE_SKIP_EMPTY_LINES);
  if (count($out) == 1) $ip = $out[0];
}
if (function_exists('geoip_record_by_name')) {
  $rec = geoip_record_by_name($ip);
  if ($rec) {# get GPS position if anything found
    $lat = $rec['latitude'];  $lng = $rec['longitude'];
  }
}
$THR = Threshold * (1 - Threshold);
?><!DOCTYPE html>
<html>
  <head>
    <link rel="stylesheet" href="style.css" type="text/css" />
    
    <script type="text/javascript"
      src="https://maps.googleapis.com/maps/api/js?key=<?php echo MAP_KEY; ?>&sensor=false">
    </script>

    <script type="text/javascript">
      <?php echo "var LAT = $lat, LNG = $lng, threshold = $THR;\n"; ?>
    </script>

    <script type="text/javascript" src="map.js">
    </script>
  </head>
  <body>

    <div id="map-canvas"/>

  </body>
</html>
