<?php # $Id: player.php 220 2015-01-11 10:25:35Z zw $

# General options
require 'incl_all.php';

# Get the language
$lang = $_GET['lang'];
if (!$lang) {
  echo "<p>Language undefined, exiting...</p>\n";
  exit;
}

require_once "incl_texts-$lang.php";

define('MEZERY', '     ');

$tmpfn = $_GET['js'];
if (!preg_match('/^[0-9A-Za-z]+$/', $tmpfn)) {
  echo "FATAL ERROR\n"; exit;
}
$tmpfn = TMPDIR . "/$tmpfn";
$duration = $_GET['duration'];
?><!DOCTYPE html>
<html>
<head>
<link rel="stylesheet" href="style.css" type="text/css" />
<script src="jwplayer/jwplayer.js"></script>
<script type="text/javascript">
<?php readfile($tmpfn); unlink($tmpfn); ?>
</script>
<script src="player.js"></script>

</head>
<body onload="initplayer()">
<div id="Player"><?php echo Loading_the_player ?></div>
<p>
<table width="100%"><tr>
<td><select id="currentfile" onChange="Select(selectedIndex)"></select></td>
<td><input type="button" name="go" value="<?php echo MEZERY, GO, MEZERY; ?>" onclick="run()" /></td>
<td>&nbsp;<output for="path-timer" id="timer-position" value="0"></output></td>
<td width="100%">
  <input type="range" id="path-timer" value="0" min="0" step="1" max="<?php echo $duration; ?>"
         width="100%" onchange="changeTimer()" onkeyup="changeTimer()" oninput="updateTimer()"
         onmousedown="setSliding(true)" onmouseup="setSliding(false)" />
</td>
<td><?php echo gmdate("H:i:s", $duration); ?>&nbsp;</td>
<th><a href="https://localhost/Snapshot" title="<?php echo Take_snapshot; ?>" onClick="this.href=snapshot()">
<input type="button" name="Snapshot" value="<?php echo Snapshot; ?>" />
</a></th>
</tr></table>
</p>

<p><a href="fselect.php?<?php echo "lang=$lang"; ?>" target="_parent"><?php echo
Back_to_file_selection ?></a></p>
