<?php # $Id: snapshot.php 136 2014-06-30 20:17:33Z zw $

require 'incl_all.php';

# Get information from PATH_INFO

if (preg_match('|/(.+)-(.*)-(\d+(_\d*)?)\.jpg$|', $_SERVER['PATH_INFO'], $m)) {
  $vfile = $m[1] . '.' . $m[2];
  $stime = str_replace('_', '.', $m[3]);
  $tmpfn = tempnam(TMPDIR, 'jpg');# temporary file always created
  $jpgfn = "$tmpfn.jpg";# ffmpeg requires an extension
  exec(ffmpeg . " -ss $stime -i $vfile -frames:v 1 -f image2 $jpgfn");
  if (file_exists($jpgfn)) {
    header('Content-Description: File Transfer');
    header('Content-Type: application/octet-stream');
    header('Expires: 0');
    header('Cache-Control: must-revalidate');
    header('Content-Length: ' . filesize($jpgfn));
    ob_clean();  flush();
    readfile($jpgfn);
    unlink($jpgfn);
  }
  unlink($tmpfn);
}
?>
