<div class="help">
<h1>Návod k použití</h1>

<p>Levý sloupec nabízí výběr souborů pro přehrání. Je možno změnit adresář a v seznamu lze vybrat
buď jeden soubor, nebo několik souborů. Přestože je povolena volba libovolné kombinace souborů,
vybírejte vždy souvislou posloupnost videí. V opačném případě bude záznam cesty na mapě velmi
podivný.</p>

<p>Obvyklý problém, způsobující nedostupnost souborů a adresářů, jsou nesprávná přístupová práva.
Pamatujte si, že adresáře i soubory musí být čitelné pro kohokoliv, adresáře navím musí mít
nastaveno právo pro spuštění. Pokud se tento problém vyskytne, proveďte níže uvedené příkazy.
(<code>$DIR</code> je plná cesta ke kořenovému adresáři, který obsahuje videa.)</p>

<pre>
chmod --recursive +r $DIR
find $DIR -type d -exec chmod +x {} \;
</pre>

<p>Program přehrává videa ze seznamu a současně zobrazuje cestu na mapě. Zobrazuje aktuální
rychlost a kurs (pokud jsou tyto údaje známy), počítá celkovou vzdálenost a průměrnou rychlost.
Umožňuje pořízení snímku v plném rozlišení kamery.</p>

<p>Program včetně podrobné dokumentace je dostupný na
<a href="http://icebearsoft.euweb.cz/garicam/"
target="garicam">icebearsoft.euweb.cz/garicam/</a>.</p>

</div>
