<?php # $Id: fselect.php 200 2014-12-27 15:47:27Z zw $

require 'incl_all.php';

# Get the language
$lang = $_GET['lang'];
if (!$lang) {
  echo "<p>Language undefined, exiting...</p>\n";
  exit;
}

require_once "incl_texts-$lang.php";

# Initialize the direcory name with videos from the GET data
$vdir = VideosRoot;
if (array_key_exists('dir', $_GET)) $dir = $_GET['dir'];
else $dir = '';
if ($dir) $vdir .= $dir;
if (!is_dir($vdir)) {# fallback to the root if nonexistent directory is specified
  $dir = '';  $vdir = VideosRoot;
}

# Directories
$dirs = glob("$vdir/*", GLOB_ONLYDIR);

# Files
$files = array_diff(glob("$vdir/" . VideosGlob), $dirs);
?><!DOCTYPE html>
<html>
<head>
    <link rel="stylesheet" href="style.css" type="text/css" />
</head>
<body>
<div class="selection">
<h1 class="fselect"><?php echo File_selection ?></h1>
<?php
if ($dir) {# display the "folder" and "back" icons if we are in a subdirectory
  $n = strrpos($dir, '/');
  echo '<p>', FolderIcon, " $dir</p>\n<p><a href=\"fselect.php";
  if ($n) echo '?dir=', substr($dir, 0, $n);
  echo '">', BackIcon, "</a></p>\n";
}
$n = strlen($vdir) + 1;
if (count($dirs) > 0) {# links to subdirectories
  echo "<ul>\n";
  foreach ($dirs as $d) {
    $d = substr($d, $n);
    printf('<li><a href="fselect.php?dir=%s/%s%slang=%s">%s</a></li>' . "\n", $dir, $d, '&', $lang, $d);
  }
  echo "</ul>\n";
}
if (($sz = count($files)) > 0) {# file selection
  if ($sz > MaxSelectionSize) $sz = MaxSelectionSize;
?>
<form method="POST" action="getgps-<?php echo $lang ?>.php">
<p><select name="files[]" multiple size="<?php echo $sz; ?>">
<?php
  $s = ' selected';
  foreach ($files as $f) {
    $f = substr($f, $n);
    echo "<option$s>$f</option>\n";
    $s = '';
  }
?>
</select>
<input type="hidden" size="0" name="dir" value="<?php echo $dir ?>" />
<input type="submit" name="submit" value="<?php echo Select ?>"/></p>
</form>
<?php
}
?>
</div>

<?php require "fselect-$lang.php"; ?>
</body>
</html>
